Index: tests/GuiChecks/Atoms/RandomPerturbation/testsuite-atoms-random-perturbation.at
===================================================================
--- tests/GuiChecks/Atoms/RandomPerturbation/testsuite-atoms-random-perturbation.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
+++ tests/GuiChecks/Atoms/RandomPerturbation/testsuite-atoms-random-perturbation.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
@@ -0,0 +1,49 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### randomly perturb atom
+
+AT_SETUP([Atoms - random perturbation])
+AT_KEYWORDS([atoms random-perturbation])
+file=water.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i water.xyz --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=1;" --select-all-atoms --random-perturbation 0.1 --no-dry-run --store-session session-atoms-random-perturbation.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-random-perturbation.py >session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated' $file ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/post/water.xyz], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Atoms - random perturbation with Undo])
+AT_KEYWORDS([atoms random-perturbation undo])
+file=water.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i water.xyz --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=1;" --select-all-atoms --random-perturbation 0.1 --undo --no-dry-run --store-session session-atoms-random-perturbation.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-random-perturbation.py >session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated' $file ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Atoms - random perturbation with Redo])
+AT_KEYWORDS([atoms random-perturbation redo])
+file=water.xyz
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/pre/water.xyz $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i water.xyz --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=1;" --select-all-atoms --random-perturbation 0.1 --undo --redo --no-dry-run --store-session session-atoms-random-perturbation.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-atoms-random-perturbation.py >session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-atoms-random-perturbation_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated' $file ${abs_top_srcdir}/tests/regression/Atoms/RandomPerturbation/post/water.xyz], 0, [ignore], [ignore])
+AT_CLEANUP
